package com.example.sso.client.utils;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 程序员小强
 * @date 2020-07-11
 */
public class CookieUtil {

	/**
	 * 根据key名称-获取cookie值
	 *
	 * @param request
	 * @param cookieName
	 */
	public static String getCookie(HttpServletRequest request, String cookieName) {
		Cookie[] cookies = request.getCookies();
		if (null == cookies) {
			return null;
		}
		for (Cookie cookie : cookies) {
			if (cookie.getName().equals(cookieName)) {
				return cookie.getValue();
			}
		}
		return null;
	}

	/**
	 * 设置cookie
	 *
	 * @param response
	 * @param cookieName
	 * @param value
	 * @param cookieMaxAge
	 */
	public static void setCookie(HttpServletResponse response, String cookieName, String value, int cookieMaxAge) {
		Cookie cookie = new Cookie(cookieName, value);
		cookie.setPath("/");
		cookie.setMaxAge(cookieMaxAge);
		response.addCookie(cookie);
	}

	/**
	 * 删除cookie
	 *
	 * @param response
	 * @param cookieName
	 */
	public static void deleteCookie(HttpServletResponse response, String cookieName) {
		setCookie(response, cookieName, null, 0);
	}
}
